> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Verification Email

> Send a verification email to the current user.

Args:
    request: Optional email address.
    current_user: The authenticated user.
    verification_service: Verification service dependency.



## OpenAPI

````yaml post /api/v1/auth/send-verification
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/auth/send-verification:
    post:
      tags:
        - auth
      summary: Send Verification Email
      description: |-
        Send a verification email to the current user.

        Args:
            request: Optional email address.
            current_user: The authenticated user.
            verification_service: Verification service dependency.
      operationId: send_verification_email_api_v1_auth_send_verification_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendVerificationRequest'
        required: true
      responses:
        '200':
          description: Verification email sent
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: >-
                  Response Send Verification Email Api V1 Auth Send Verification
                  Post
        '401':
          description: Not authenticated
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Failed to send email
components:
  schemas:
    SendVerificationRequest:
      properties:
        email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Email
          description: >-
            User's email address. If not provided, the authenticated user's
            email is used.
      type: object
      title: SendVerificationRequest
      description: Request body for sending verification email.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````